Last Comment Bug 634286 - remove font cache size from about:support
: remove font cache size from about:support
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: ---
Assigned To: John Daggett (:jtd)
:
:
Mentors:
Depends on: 629611
Blocks: 650723
  Show dependency treegraph
 
Reported: 2011-02-15 08:33 PST by JK
Modified: 2011-04-18 18:13 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
patch, trim out font cache size (3.71 KB, patch)
2011-04-17 21:30 PDT, John Daggett (:jtd)
jmuizelaar: review+
Details | Diff | Splinter Review

Description JK 2011-02-15 08:33:49 PST
User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b11) Gecko/20100101 Firefox/4.0b11
Build Identifier: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b12pre) Gecko/20110214 Firefox/4.0b12pre

The font cache size is always shown as n/a unless firefox.exe is elevated (administrator). Since most users (I think) don't run Firefox elevated (would be a security risk), there is no point to display it in about:support.

Reproducible: Always
Comment 1 John Daggett (:jtd) 2011-02-15 22:05:13 PST
Once MS fixes the underlying bug there's no reason to display font cache size.  We could simply omit the string altogether if not available (i.e. rather than "n/a") but I'd prefer not to eliminate it entirely since it can be useful when it is available.
Comment 2 anthonydam 2011-03-11 06:44:19 PST
Nothing wrong here, maybe the line should be hidden if the value is "n/a" but why would you hide a field when it's possible to see it?
Comment 3 John Daggett (:jtd) 2011-03-11 11:11:19 PST
Now that MS has released a patch for the underlying problem, the plan is to remove the font cache size information.  Probably for a .x release.
Comment 4 John Daggett (:jtd) 2011-04-17 21:30:23 PDT
Created attachment 526653 [details] [diff] [review]
patch, trim out font cache size
Comment 5 John Daggett (:jtd) 2011-04-18 18:13:11 PDT
Pushed to trunk
http://hg.mozilla.org/mozilla-central/rev/e4564e608e8a

Note You need to log in before you can comment on or make changes to this bug.